Retrieve file-backed memory entries stored in a vault.
curl --request GET \
--url https://api.case.dev/vault/{id}/memory \
--header 'Authorization: Bearer <token>'{
"entries": [
{
"id": "<string>",
"type": "<string>",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"count": 123,
"chars": 123,
"max_chars": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
}Was this page helpful?
curl --request GET \
--url https://api.case.dev/vault/{id}/memory \
--header 'Authorization: Bearer <token>'{
"entries": [
{
"id": "<string>",
"type": "<string>",
"content": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"count": 123,
"chars": 123,
"max_chars": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
}